%define upstream_name Net-IPv6Addr
%define upstream_version 0.2

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Net::IPv6Addr - check validity of IPv6 addresses
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/T/TM/TMONROE/%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-Net-IPv4Addr
BuildRequires:	perl-Math-Base85
BuildArch:	noarch

%description
Net::IPv6Addr checks strings for valid IPv6 addresses, as
specified in RFC1884.  You throw possible addresses at it, it
either accepts them or throws an exception.

If Math::Base85 is installed, then this module is able to process
addresses formatted in the style referenced by RFC1924.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc ChangeLog README
%{perl_vendorlib}/Net/IPv6Addr.pm
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-3.mga6
+ Revision: 1031097
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.200.0-2.mga6
+ Revision: 946049
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2-9.mga5
+ Revision: 740277
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2-8.mga5
+ Revision: 685673
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2-7.mga4
+ Revision: 513462
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2-6.mga3
+ Revision: 370661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.2-5.mga1
+ Revision: 32231
- mageia rebuild
- imported package perl-Net-IPv6Addr


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.2-5mdv2010.0
+ Revision: 430512
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.2-4mdv2009.0
+ Revision: 241781
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-2mdv2008.0
+ Revision: 86703
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdk
- initial Mandriva package

